local gametext = Var("GameCommand"):GetText()
local itemIndex = Var("GameCommand"):GetIndex()

local t = Def.ActorFrame {


	LoadActor(gametext.."BG") .. {

		GainFocusCommand=cmd(linear,0.2;diffusealpha,1);
		LoseFocusCommand=cmd(linear,0.3;diffusealpha,0);
		LostSelectedLoseFocusCommand=cmd(linear,0.3;diffusealpha,0);
		LostSelectedGainFocusCommand=cmd(linear,0.2;diffusealpha,1);	
		
		InitCommand=cmd(z,1;visible,0);
		List2EnabledCommand=cmd(visible,1);
	};

	
	
	LoadActor("TV") .. {
		OnCommand=cmd(zoomx,2;zoomy,0;x,SCREEN_WIDTH/2;y,SCREEN_HEIGHT/2;sleep,0;linear,1;zoomx,2;zoomy,1.8;diffusealpha,0.7);	
	};
	
	LoadActor("Info_one_eng") .. {
		OnCommand=cmd(;x,SCREEN_WIDTH/2;y,SCREEN_HEIGHT-60;zoomx,1.5;zoomy,0;sleep,0;linear,1;zoomx,1.5;zoomy,1;)	
	};
		


	LoadActor("BIM0000.png")..{
		Name="RightSensor";
		InitCommand=cmd(zoomy,0;blend,"BlendMode_Add";x,SCREEN_WIDTH/2+220;y,SCREEN_HEIGHT/2;sleep,0;linear,1;zoomy,2.5);
		FadeInCommand=cmd(diffusealpha,0;sleep,0.2;diffusealpha,1);
	};	

	LoadActor("BIM0000.png")..{
		Name="LeftSensor";
		InitCommand=cmd(zoomy,0;blend,"BlendMode_Add";x,SCREEN_WIDTH/2-220;y,SCREEN_HEIGHT/2;sleep,0;linear,1;zoomy,2.5);
		FadeInCommand=cmd(diffusealpha,0;sleep,0.2;diffusealpha,1);
	};
	
	LoadActor("laser")..{
		Name="RightSensor2";
		InitCommand=cmd(blend,"BlendMode_Add";x,SCREEN_WIDTH/2+220;y,SCREEN_HEIGHT/2;zoomy,2.5;diffusealpha,0);
		FadeInCommand=cmd(diffusealpha,1;sleep,0.2;diffusealpha,0);
	};	

	LoadActor("laser")..{
		Name="LeftSensor2";
		InitCommand=cmd(blend,"BlendMode_Add";x,SCREEN_WIDTH/2-220;y,SCREEN_HEIGHT/2;zoomy,2.5;diffusealpha,0);
		FadeInCommand=cmd(diffusealpha,1;sleep,0.2;diffusealpha,0);
	};
	
	
	CodeMessageCommand=function(self,params) 
		if params.Name == "ShiftLeft" then 
			local leftsensor = self:GetChild("LeftSensor");
			local leftsensor2 = self:GetChild("LeftSensor2");
			leftsensor:playcommand("FadeIn");
			leftsensor2:playcommand("FadeIn");
		elseif params.Name == "ShiftRight" then 
			local rightsensor = self:GetChild("RightSensor");
			local rightsensor2 = self:GetChild("RightSensor2");
			rightsensor:playcommand("FadeIn");				
			rightsensor2:playcommand("FadeIn");	
		end; 
			
	end;	
	
	LoadActor("SelectAMode")..{
		OnCommand=cmd(x,SCREEN_CENTER_X+01;y,SCREEN_CENTER_Y-210;zoomx,1.2;zoomy,0;sleep,0;linear,1;zoomx,1.2;zoomy,1;)
	};
	



	LoadActor("E")..{
		OnCommand=cmd(x,-100;y,SCREEN_CENTER_Y-3.5;zoom,0.725;sleep,0.1;linear,0.7;x,78.5;sleep,0.5;linear,0.3;diffusealpha,0)
	};


	LoadActor("H")..{
		OnCommand=cmd(zoom,4;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+10;sleep,0.1;linear,0.6;zoom,0.9;sleep,0.4;linear,1;diffusealpha,0)
	};


	LoadActor("R")..{
		OnCommand=cmd(x,800;y,SCREEN_CENTER_Y+0.5;zoom,0.725;sleep,0.1;linear,0.7;x,564;sleep,0.5;linear,0.3;diffusealpha,0)
	};	
		





	LoadActor("ARROW.png")..{
		InitCommand=cmd(zoomx,1;zoomy,1.5;x,SCREEN_WIDTH/2-140;y,SCREEN_HEIGHT/2;diffuseramp;effectcolor2,0.7,0.7,0.7,0.7;effectcolor1,1,1,1,1);	
	};	

	LoadActor("ARROW2.png")..{
		InitCommand=cmd(zoomx,1;zoomy,1.5;x,SCREEN_WIDTH/2+140;y,SCREEN_HEIGHT/2;diffuseramp;effectcolor2,0.7,0.7,0.7,0.7;effectcolor1,1,1,1,1);	
	};

	





	LoadActor("2Player") .. {
	InitCommand=cmd(x,THEME:GetMetric(Var "LoadingScreen","CreditsP2X");y,THEME:GetMetric(Var "LoadingScreen","CreditsP2Y")-20;visible,0;zoom,1;playcommand,"CheckCoins");
	PlayerJoinedMessageCommand=cmd(playcommand,"CheckCoins");

	CheckCoinsCommand=function(self)
		if GAMESTATE:IsPlayerEnabled("PlayerNumber_P2") == false then
			self:visible(0);
		else
			self:visible(1);
		end;
	end;
	};	
	
	LoadActor("1Player") .. {
	InitCommand=cmd(x,THEME:GetMetric(Var "LoadingScreen","CreditsP1X");y,THEME:GetMetric(Var "LoadingScreen","CreditsP1Y")-20;visible,0;zoom,1;playcommand,"CheckCoins");
	PlayerJoinedMessageCommand=cmd(playcommand,"CheckCoins");

	CheckCoinsCommand=function(self)
		if GAMESTATE:IsPlayerEnabled("PlayerNumber_P1") == false then
			self:visible(0);
		else
			self:visible(1);
		end;
	end;
	};






	
};

return t;